Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
[Java] Class ClosureExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.ClosureExpression

    public class ClosureExpression
    extends Expression

Represents a closure expression such as { statement } or { i -> statement } or { i, x, String y -> statement }

Authors:
  James Strachan
  Hamlet D'Arcy

Version:
  \$Revision\$

Constructor Summary
`ClosureExpression(Parameter[] parameters, Statement code)`

Method Summary
`Statement` | `getCode()` This gets the code statement of the closure.
`Parameter[]` | `getParameters()`
`java.lang.String` | `getText()`
`VariableScope` | `getVariableScope()`
`boolean` | `isParameterSpecified()`
`void` | `setCode(Statement code)` This sets the code statement of the closure.
`void` | `setVariableScope(VariableScope variableScope)`
`java.lang.String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ClosureExpression

    public ClosureExpression(Parameter[] parameters, Statement code)

Method Detail

### getCode

    public Statement getCode()

  This gets the code statement of the closure. You can read this method to find out what actions the closure is going to perform.
  Returns:
    the code statement of the closure

### getParameters

    public Parameter[] getParameters()

### getText

    @Override
    public java.lang.String getText()

### getVariableScope

    public VariableScope getVariableScope()

### isParameterSpecified

    public boolean isParameterSpecified()

### setCode

    public void setCode(Statement code)

  This sets the code statement of the closure. You can use this method in order to add more actions during the closure execution.
  Parameters:
    `code` - the new Statement

### setVariableScope

    public void setVariableScope(VariableScope variableScope)

### toString

    public java.lang.String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Groovy Documentation